commit:     648b4c87e4e8f669fa28ee0125ee8e11fe7b9b02
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sat Feb 20 19:31:23 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Feb 20 19:31:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=648b4c87

www-servers/mongrel2: Port to EAPI 7

Closes: https://github.com/gentoo/gentoo/pull/19559
Closes: https://bugs.gentoo.org/771582
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../files/mongrel2-1.11.0-fno-common.patch         | 31 ++++++++++++++++++++++
 .../mongrel2-1.11.0-polarssl-platform-590512.patch |  8 +++---
 www-servers/mongrel2/mongrel2-1.11.0-r1.ebuild     | 29 +++++++++++++-------
 3 files changed, 55 insertions(+), 13 deletions(-)

diff --git a/www-servers/mongrel2/files/mongrel2-1.11.0-fno-common.patch 
b/www-servers/mongrel2/files/mongrel2-1.11.0-fno-common.patch
new file mode 100644
index 00000000000..1c95f6b7c2d
--- /dev/null
+++ b/www-servers/mongrel2/files/mongrel2-1.11.0-fno-common.patch
@@ -0,0 +1,31 @@
+--- a/src/mongrel2.c
++++ b/src/mongrel2.c
+@@ -55,6 +55,7 @@
+ #include "logrotate.h"
+ #include "register.h"
+ 
++extern char *m2program;
+ extern int RUNNING;
+ extern uint32_t THE_CURRENT_TIME_IS;
+ int RELOAD = 0;
+--- a/src/unixy.h
++++ b/src/unixy.h
+@@ -38,7 +38,7 @@
+ #include <bstring.h>
+ #include <unistd.h>
+ 
+-char *m2program;
++extern char *m2program;
+ 
+ int Unixy_chroot(bstring path);
+ 
+--- a/tools/procer/procer.c
++++ b/tools/procer/procer.c
+@@ -9,6 +9,7 @@
+ #include <sys/wait.h>
+ #include <sys/stat.h>
+ 
++extern char *m2program;
+ extern char **environ;
+ 
+ static int RUNNING = 1;

diff --git 
a/www-servers/mongrel2/files/mongrel2-1.11.0-polarssl-platform-590512.patch 
b/www-servers/mongrel2/files/mongrel2-1.11.0-polarssl-platform-590512.patch
index 0e5957e551b..c67dc060c8a 100644
--- a/www-servers/mongrel2/files/mongrel2-1.11.0-polarssl-platform-590512.patch
+++ b/www-servers/mongrel2/files/mongrel2-1.11.0-polarssl-platform-590512.patch
@@ -1,6 +1,6 @@
 # Fix missing include for newer mbedtls
---- a/src/io.h       2016-08-04 15:55:53.124890328 -0700
-+++ b/src/io.h      2015-12-31 01:25:07.000000000 -0800
+--- a/src/io.h
++++ b/src/io.h
 @@ -6,6 +6,7 @@
  #endif
  
@@ -9,8 +9,8 @@
  #include <mbedtls/x509.h>
  #include <mbedtls/ssl.h>
  #include "server.h"
---- a/src/server.h   2016-08-04 15:54:49.539498093 -0700
-+++ b/src/server.h  2015-12-31 01:25:07.000000000 -0800
+--- a/src/server.h
++++ b/src/server.h
 @@ -39,6 +39,7 @@
  #include "adt/darray.h"
  #include "host.h"

diff --git a/www-servers/mongrel2/mongrel2-1.11.0-r1.ebuild 
b/www-servers/mongrel2/mongrel2-1.11.0-r1.ebuild
index f651aa26727..5ba0b548663 100644
--- a/www-servers/mongrel2/mongrel2-1.11.0-r1.ebuild
+++ b/www-servers/mongrel2/mongrel2-1.11.0-r1.ebuild
@@ -1,7 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
+
+inherit toolchain-funcs
 
 DESCRIPTION="A language agnostic web server focused on web applications"
 HOMEPAGE="http://mongrel2.org";
@@ -10,20 +12,29 @@ 
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
 
-DEPEND="net-libs/zeromq
+DEPEND="
+       dev-db/sqlite:3
        >=net-libs/mbedtls-2.1[havege]
-       dev-db/sqlite:3"
+       net-libs/zeromq"
 RDEPEND="${DEPEND}"
 
+PATCHES=(
+       "${FILESDIR}"/${P}-polarssl-platform-590512.patch
+       "${FILESDIR}"/${P}-fno-common.patch
+)
+
 src_prepare() {
-       cp "${FILESDIR}/systemtls.mak" Makefile || die
-       eapply "${FILESDIR}/${P}-polarssl-platform-590512.patch"
-       eapply_user
+       cp "${FILESDIR}"/systemtls.mak Makefile || die
+       default
+}
+
+src_configure() {
+       tc-export CC
+       default
 }
 
 src_install() {
-       emake install PREFIX=/usr DESTDIR="${D}"
+       emake PREFIX="${EPREFIX}"/usr DESTDIR="${D}" install
        dodoc README examples/configs/mongrel2.conf
 }

Reply via email to